Index: asp3_tinet_ecnl_arm/trunk/btstack/src/l2cap.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/btstack/src/l2cap.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/btstack/src/l2cap.c	(revision 374)
@@ -135,12 +135,12 @@
     event[1] = sizeof(event) - 2;
     event[2] = status;
-    bt_flip_addr(&event[3], channel->address);
-    bt_store_16(event,  9, channel->handle);
-    bt_store_16(event, 11, channel->psm);
-    bt_store_16(event, 13, channel->local_cid);
-    bt_store_16(event, 15, channel->remote_cid);
-    bt_store_16(event, 17, channel->local_mtu);
-    bt_store_16(event, 19, channel->remote_mtu);
-    bt_store_16(event, 21, channel->flush_timeout);
+    reverse_bd_addr(channel->address, &event[3]);
+    little_endian_store_16(event,  9, channel->handle);
+    little_endian_store_16(event, 11, channel->psm);
+    little_endian_store_16(event, 13, channel->local_cid);
+    little_endian_store_16(event, 15, channel->remote_cid);
+    little_endian_store_16(event, 17, channel->local_mtu);
+    little_endian_store_16(event, 19, channel->remote_mtu);
+    little_endian_store_16(event, 21, channel->flush_timeout);
     hci_dump_packet( HCI_EVENT_PACKET, 0, event, sizeof(event));
     l2cap_dispatch(channel, HCI_EVENT_PACKET, event, sizeof(event));
@@ -152,5 +152,5 @@
     event[0] = L2CAP_EVENT_CHANNEL_CLOSED;
     event[1] = sizeof(event) - 2;
-    bt_store_16(event, 2, channel->local_cid);
+    little_endian_store_16(event, 2, channel->local_cid);
     hci_dump_packet( HCI_EVENT_PACKET, 0, event, sizeof(event));
     l2cap_dispatch(channel, HCI_EVENT_PACKET, event, sizeof(event));
@@ -163,9 +163,9 @@
     event[0] = L2CAP_EVENT_INCOMING_CONNECTION;
     event[1] = sizeof(event) - 2;
-    bt_flip_addr(&event[2], channel->address);
-    bt_store_16(event,  8, channel->handle);
-    bt_store_16(event, 10, channel->psm);
-    bt_store_16(event, 12, channel->local_cid);
-    bt_store_16(event, 14, channel->remote_cid);
+    reverse_bd_addr(channel->address, &event[2]);
+    little_endian_store_16(event,  8, channel->handle);
+    little_endian_store_16(event, 10, channel->psm);
+    little_endian_store_16(event, 12, channel->local_cid);
+    little_endian_store_16(event, 14, channel->remote_cid);
     hci_dump_packet( HCI_EVENT_PACKET, 0, event, sizeof(event));
     l2cap_dispatch(channel, HCI_EVENT_PACKET, event, sizeof(event));
@@ -176,6 +176,6 @@
     event[0] = L2CAP_EVENT_CONNECTION_PARAMETER_UPDATE_RESPONSE;
     event[1] = 4;
-    bt_store_16(event, 2, handle);
-    bt_store_16(event, 4, result);
+    little_endian_store_16(event, 2, handle);
+    little_endian_store_16(event, 4, result);
     hci_dump_packet( HCI_EVENT_PACKET, 0, event, sizeof(event));
     (*packet_handler)(NULL, HCI_EVENT_PACKET, 0, event, sizeof(event));
@@ -188,5 +188,5 @@
     event[1] = sizeof(event) - 2;
     event[2] = status;
-    bt_store_16(event, 3, psm);
+    little_endian_store_16(event, 3, psm);
     hci_dump_packet( HCI_EVENT_PACKET, 0, event, sizeof(event));
     (*packet_handler)(connection, HCI_EVENT_PACKET, 0, event, sizeof(event));
@@ -201,5 +201,5 @@
     event[0] = L2CAP_EVENT_CREDITS;
     event[1] = sizeof(event) - 2;
-    bt_store_16(event, 2, channel->local_cid);
+    little_endian_store_16(event, 2, channel->local_cid);
     event[4] = credits;
     hci_dump_packet( HCI_EVENT_PACKET, 0, event, sizeof(event));
@@ -412,11 +412,11 @@
 
     // 0 - Connection handle : PB=pb : BC=00
-    bt_store_16(acl_buffer, 0, channel->handle | (pb << 12) | (0 << 14));
+    little_endian_store_16(acl_buffer, 0, channel->handle | (pb << 12) | (0 << 14));
     // 2 - ACL length
-    bt_store_16(acl_buffer, 2,  len + 4);
+    little_endian_store_16(acl_buffer, 2,  len + 4);
     // 4 - L2CAP packet length
-    bt_store_16(acl_buffer, 4,  len + 0);
+    little_endian_store_16(acl_buffer, 4,  len + 0);
     // 6 - L2CAP channel DEST
-    bt_store_16(acl_buffer, 6, channel->remote_cid);
+    little_endian_store_16(acl_buffer, 6, channel->remote_cid);
     // send
     err = hci_send_acl_packet_buffer(len+8);
@@ -449,11 +449,11 @@
 
     // 0 - Connection handle : PB=pb : BC=00
-    bt_store_16(acl_buffer, 0, handle | (pb << 12) | (0 << 14));
+    little_endian_store_16(acl_buffer, 0, handle | (pb << 12) | (0 << 14));
     // 2 - ACL length
-    bt_store_16(acl_buffer, 2,  len + 4);
+    little_endian_store_16(acl_buffer, 2,  len + 4);
     // 4 - L2CAP packet length
-    bt_store_16(acl_buffer, 4,  len + 0);
+    little_endian_store_16(acl_buffer, 4,  len + 0);
     // 6 - L2CAP channel DEST
-    bt_store_16(acl_buffer, 6, cid);
+    little_endian_store_16(acl_buffer, 6, cid);
     // send
     err = hci_send_acl_packet_buffer(len+8);
@@ -665,5 +665,5 @@
                         config_options[0] = 1; // MTU
                         config_options[1] = 2; // len param
-                        bt_store_16( (uint8_t*)&config_options, 2, channel->remote_mtu);
+                        little_endian_store_16( (uint8_t*)&config_options, 2, channel->remote_mtu);
                         l2cap_send_signaling_packet(channel->handle, CONFIGURE_RESPONSE, channel->remote_sig_id, channel->remote_cid, flags, 0, 4, &config_options);
                         channelStateVarClearFlag(channel,L2CAP_CHANNEL_STATE_VAR_SEND_CONF_RSP_MTU);
@@ -679,5 +679,5 @@
                     config_options[0] = 1; // MTU
                     config_options[1] = 2; // len param
-                    bt_store_16( (uint8_t*)&config_options, 2, channel->local_mtu);
+                    little_endian_store_16( (uint8_t*)&config_options, 2, channel->local_mtu);
                     l2cap_send_signaling_packet(channel->handle, CONFIGURE_REQUEST, channel->local_sig_id, channel->remote_cid, 0, 4, &config_options);
                     l2cap_start_rtx(channel);
@@ -893,7 +893,7 @@
         // handle connection complete events
         case HCI_EVENT_CONNECTION_COMPLETE:
-            bt_flip_addr(address, &packet[5]);
+            reverse_bd_addr(&packet[5], address);
             if (packet[2] == 0){
-                handle = READ_BT_16(packet, 3);
+                handle = little_endian_read_16(packet, 3);
                 l2cap_handle_connection_success_for_addr(address, handle);
             } else {
@@ -904,7 +904,7 @@
         // handle successful create connection cancel command
         case HCI_EVENT_COMMAND_COMPLETE:
-            if ( COMMAND_COMPLETE_EVENT(packet, hci_create_connection_cancel) ) {
+            if ( HCI_EVENT_IS_COMMAND_COMPLETE(packet, hci_create_connection_cancel) ) {
                 if (packet[5] == 0){
-                    bt_flip_addr(address, &packet[6]);
+                    reverse_bd_addr(&packet[6], address);
                     // CONNECTION TERMINATED BY LOCAL HOST (0X16)
                     l2cap_handle_connection_failed_for_addr(address, 0x16);
@@ -921,5 +921,5 @@
         case HCI_EVENT_DISCONNECTION_COMPLETE:
             // send l2cap disconnect events for all channels on this handle and free them
-            handle = READ_BT_16(packet, 3);
+            handle = little_endian_read_16(packet, 3);
             linked_list_iterator_init(&it, &l2cap_channels);
             while (linked_list_iterator_has_next(&it)){
@@ -940,5 +940,5 @@
         // HCI Connection Timeouts
         case L2CAP_EVENT_TIMEOUT_CHECK:
-            handle = READ_BT_16(packet, 2);
+            handle = little_endian_read_16(packet, 2);
             if (hci_authentication_active_for_handle(handle)) break;
             hci_con_used = 0;
@@ -971,5 +971,5 @@
 
         case HCI_EVENT_READ_REMOTE_SUPPORTED_FEATURES_COMPLETE:
-            handle = READ_BT_16(packet, 3);
+            handle = little_endian_read_16(packet, 3);
             linked_list_iterator_init(&it, &l2cap_channels);
             while (linked_list_iterator_has_next(&it)){
@@ -982,5 +982,5 @@
 
         case GAP_SECURITY_LEVEL:
-            handle = READ_BT_16(packet, 2);
+            handle = little_endian_read_16(packet, 2);
             log_info("l2cap - security level update");
             linked_list_iterator_init(&it, &l2cap_channels);
@@ -1163,5 +1163,5 @@
     channel->remote_sig_id = command[L2CAP_SIGNALING_COMMAND_SIGID_OFFSET];
 
-    flags = READ_BT_16(command, 6);
+    flags = little_endian_read_16(command, 6);
     if (flags & 1) {
         channelStateVarSetFlag(channel, L2CAP_CHANNEL_STATE_VAR_SEND_CONF_RSP_CONT);
@@ -1169,5 +1169,5 @@
 
     // accept the other's configuration options
-    end_pos = 4 + READ_BT_16(command, L2CAP_SIGNALING_COMMAND_LENGTH_OFFSET);
+    end_pos = 4 + little_endian_read_16(command, L2CAP_SIGNALING_COMMAND_LENGTH_OFFSET);
     pos     = 8;
     while (pos < end_pos){
@@ -1180,5 +1180,5 @@
         // MTU { type(8): 1, len(8):2, MTU(16) }
         if (option_type == 1 && length == 2){
-            channel->remote_mtu = READ_BT_16(command, pos);
+            channel->remote_mtu = little_endian_read_16(command, pos);
             // log_info("l2cap cid 0x%02x, remote mtu %u", channel->local_cid, channel->remote_mtu);
             channelStateVarSetFlag(channel, L2CAP_CHANNEL_STATE_VAR_SEND_CONF_RSP_MTU);
@@ -1186,5 +1186,5 @@
         // Flush timeout { type(8):2, len(8): 2, Flush Timeout(16)}
         if (option_type == 2 && length == 2){
-            channel->flush_timeout = READ_BT_16(command, pos);
+            channel->flush_timeout = little_endian_read_16(command, pos);
         }
         // check for unknown options
@@ -1237,9 +1237,9 @@
                 case CONNECTION_RESPONSE:
                     l2cap_stop_rtx(channel);
-                    result = READ_BT_16 (command, L2CAP_SIGNALING_COMMAND_DATA_OFFSET+4);
+                    result = little_endian_read_16 (command, L2CAP_SIGNALING_COMMAND_DATA_OFFSET+4);
                     switch (result) {
                         case 0:
                             // successful connection
-                            channel->remote_cid = READ_BT_16(command, L2CAP_SIGNALING_COMMAND_DATA_OFFSET);
+                            channel->remote_cid = little_endian_read_16(command, L2CAP_SIGNALING_COMMAND_DATA_OFFSET);
                             channel->state = L2CAP_STATE_CONFIG;
                             channelStateVarSetFlag(channel, L2CAP_CHANNEL_STATE_VAR_SEND_CONF_REQ);
@@ -1274,5 +1274,5 @@
 
         case L2CAP_STATE_CONFIG:
-            result = READ_BT_16 (command, L2CAP_SIGNALING_COMMAND_DATA_OFFSET+4);
+            result = little_endian_read_16 (command, L2CAP_SIGNALING_COMMAND_DATA_OFFSET+4);
             switch (code) {
                 case CONFIGURE_REQUEST:
@@ -1353,6 +1353,6 @@
 
         case CONNECTION_REQUEST: {
-            uint16_t psm =        READ_BT_16(command, L2CAP_SIGNALING_COMMAND_DATA_OFFSET);
-            uint16_t source_cid = READ_BT_16(command, L2CAP_SIGNALING_COMMAND_DATA_OFFSET+2);
+            uint16_t psm =        little_endian_read_16(command, L2CAP_SIGNALING_COMMAND_DATA_OFFSET);
+            uint16_t source_cid = little_endian_read_16(command, L2CAP_SIGNALING_COMMAND_DATA_OFFSET+2);
             l2cap_handle_connection_request(handle, sig_id, psm, source_cid);
             return;
@@ -1364,5 +1364,5 @@
 
         case INFORMATION_REQUEST: {
-            uint16_t infoType = READ_BT_16(command, L2CAP_SIGNALING_COMMAND_DATA_OFFSET);
+            uint16_t infoType = little_endian_read_16(command, L2CAP_SIGNALING_COMMAND_DATA_OFFSET);
             l2cap_register_signaling_response(handle, code, sig_id, infoType);
             return;
@@ -1375,5 +1375,5 @@
     
     // Get potential destination CID
-    dest_cid = READ_BT_16(command, L2CAP_SIGNALING_COMMAND_DATA_OFFSET);
+    dest_cid = little_endian_read_16(command, L2CAP_SIGNALING_COMMAND_DATA_OFFSET);
 
     // Find channel for this sig_id and connection handle
@@ -1415,5 +1415,5 @@
 
                 // increment command_offset
-                command_offset += L2CAP_SIGNALING_COMMAND_DATA_OFFSET + READ_BT_16(packet, command_offset + L2CAP_SIGNALING_COMMAND_LENGTH_OFFSET);
+                command_offset += L2CAP_SIGNALING_COMMAND_DATA_OFFSET + little_endian_read_16(packet, command_offset + L2CAP_SIGNALING_COMMAND_LENGTH_OFFSET);
             }
             break;
@@ -1435,5 +1435,5 @@
             switch (packet[8]){
                 case CONNECTION_PARAMETER_UPDATE_RESPONSE: {
-                    uint16_t result = READ_BT_16(packet, 12);
+                    uint16_t result = little_endian_read_16(packet, 12);
                     l2cap_emit_connection_parameter_update_response(handle, result);
                     break;
@@ -1450,8 +1450,8 @@
                         int update_parameter = 1;
                         le_connection_parameter_range_t existing_range = gap_le_get_connection_parameter_range();
-                        uint16_t le_conn_interval_min = READ_BT_16(packet,12);
-                        uint16_t le_conn_interval_max = READ_BT_16(packet,14);
-                        uint16_t le_conn_latency = READ_BT_16(packet,16);
-                        uint16_t le_supervision_timeout = READ_BT_16(packet,18);
+                        uint16_t le_conn_interval_min = little_endian_read_16(packet,12);
+                        uint16_t le_conn_interval_max = little_endian_read_16(packet,14);
+                        uint16_t le_conn_latency = little_endian_read_16(packet,16);
+                        uint16_t le_supervision_timeout = little_endian_read_16(packet,18);
 
                         if (le_conn_interval_min < existing_range.le_conn_interval_min) update_parameter = 0;
Index: asp3_tinet_ecnl_arm/trunk/btstack/src/l2cap_signaling.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/btstack/src/l2cap_signaling.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/btstack/src/l2cap_signaling.c	(revision 374)
@@ -91,7 +91,7 @@
 
     // 0 - Connection handle : PB=pb : BC=00
-    bt_store_16(acl_buffer, 0, handle | (pb << 12) | (0 << 14));
+    little_endian_store_16(acl_buffer, 0, handle | (pb << 12) | (0 << 14));
     // 6 - L2CAP channel = 1
-    bt_store_16(acl_buffer, 6, cid);
+    little_endian_store_16(acl_buffer, 6, cid);
     // 8 - Code
     acl_buffer[8] = cmd;
@@ -134,9 +134,9 @@
 
     // 2 - ACL length
-    bt_store_16(acl_buffer, 2,  pos - 4);
+    little_endian_store_16(acl_buffer, 2,  pos - 4);
     // 4 - L2CAP packet length
-    bt_store_16(acl_buffer, 4,  pos - 6 - 2);
+    little_endian_store_16(acl_buffer, 4,  pos - 6 - 2);
     // 10 - L2CAP signaling parameter length
-    bt_store_16(acl_buffer, 10, pos - 12);
+    little_endian_store_16(acl_buffer, 10, pos - 12);
 
     return pos;
@@ -158,7 +158,7 @@
 
     // 0 - Connection handle : PB=pb : BC=00
-    bt_store_16(acl_buffer, 0, handle | (pb << 12) | (0 << 14));
+    little_endian_store_16(acl_buffer, 0, handle | (pb << 12) | (0 << 14));
     // 6 - L2CAP LE Signaling channel = 5
-    bt_store_16(acl_buffer, 6, 5);
+    little_endian_store_16(acl_buffer, 6, 5);
     // 8 - Code
     acl_buffer[8] = CONNECTION_PARAMETER_UPDATE_REQUEST;
@@ -166,18 +166,18 @@
     acl_buffer[9] = 1;
     uint16_t pos = 12;
-    bt_store_16(acl_buffer, pos, interval_min);
-    pos += 2;
-    bt_store_16(acl_buffer, pos, interval_max);
-    pos += 2;
-    bt_store_16(acl_buffer, pos, slave_latency);
-    pos += 2;
-    bt_store_16(acl_buffer, pos, timeout_multiplier);
+    little_endian_store_16(acl_buffer, pos, interval_min);
+    pos += 2;
+    little_endian_store_16(acl_buffer, pos, interval_max);
+    pos += 2;
+    little_endian_store_16(acl_buffer, pos, slave_latency);
+    pos += 2;
+    little_endian_store_16(acl_buffer, pos, timeout_multiplier);
     pos += 2;
     // 2 - ACL length
-    bt_store_16(acl_buffer, 2,  pos - 4);
+    little_endian_store_16(acl_buffer, 2,  pos - 4);
     // 4 - L2CAP packet length
-    bt_store_16(acl_buffer, 4,  pos - 6 - 2);
+    little_endian_store_16(acl_buffer, 4,  pos - 6 - 2);
     // 10 - L2CAP signaling parameter length
-    bt_store_16(acl_buffer, 10, pos - 12);
+    little_endian_store_16(acl_buffer, 10, pos - 12);
     return pos;
 }
@@ -188,7 +188,7 @@
 
     // 0 - Connection handle : PB=pb : BC=00
-    bt_store_16(acl_buffer, 0, handle | (pb << 12) | (0 << 14));
+    little_endian_store_16(acl_buffer, 0, handle | (pb << 12) | (0 << 14));
     // 6 - L2CAP LE Signaling channel = 5
-    bt_store_16(acl_buffer, 6, 5);
+    little_endian_store_16(acl_buffer, 6, 5);
     // 8 - Code
     acl_buffer[8] = CONNECTION_PARAMETER_UPDATE_REQUEST;
@@ -196,12 +196,12 @@
     acl_buffer[9] = 1;
     uint16_t pos = 12;
-    bt_store_16(acl_buffer, pos, response);
+    little_endian_store_16(acl_buffer, pos, response);
     pos += 2;
     // 2 - ACL length
-    bt_store_16(acl_buffer, 2,  pos - 4);
+    little_endian_store_16(acl_buffer, 2,  pos - 4);
     // 4 - L2CAP packet length
-    bt_store_16(acl_buffer, 4,  pos - 6 - 2);
+    little_endian_store_16(acl_buffer, 4,  pos - 6 - 2);
     // 10 - L2CAP signaling parameter length
-    bt_store_16(acl_buffer, 10, pos - 12);
+    little_endian_store_16(acl_buffer, 10, pos - 12);
     return pos;
 }
Index: asp3_tinet_ecnl_arm/trunk/btstack/src/pan.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/btstack/src/pan.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/btstack/src/pan.c	(revision 374)
@@ -80,5 +80,5 @@
 
 	// 0x0001 "Service Class ID List"
-	de_add_number(service,  DE_UINT, DE_SIZE_16, SDP_ServiceClassIDList);
+	de_add_number(service,  DE_UINT, DE_SIZE_16, BLUETOOTH_ATTRIBUTE_SERVICE_CLASS_ID_LIST);
 	attribute = de_push_sequence(service);
 	{
@@ -89,5 +89,5 @@
 
 	// 0x0004 "Protocol Descriptor List"
-	de_add_number(service,  DE_UINT, DE_SIZE_16, SDP_ProtocolDescriptorList);
+	de_add_number(service,  DE_UINT, DE_SIZE_16, BLUETOOTH_ATTRIBUTE_PROTOCOL_DESCRIPTOR_LIST);
 	attribute = de_push_sequence(service);
 	{
@@ -95,5 +95,5 @@
 		{
 			de_add_number(l2cpProtocol,  DE_UUID, DE_SIZE_16, 0x0100);
-			de_add_number(l2cpProtocol,  DE_UINT, DE_SIZE_16, SDP_BNEPProtocol);  // l2cap psm
+			de_add_number(l2cpProtocol,  DE_UINT, DE_SIZE_16, BLUETOOTH_PROTOCOL_BNEP);  // l2cap psm
 		}
 		de_pop_sequence(attribute, l2cpProtocol);
Index: asp3_tinet_ecnl_arm/trunk/btstack/src/rfcomm.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/btstack/src/rfcomm.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/btstack/src/rfcomm.c	(revision 374)
@@ -136,7 +136,7 @@
     event[0] = RFCOMM_EVENT_INCOMING_CONNECTION;
     event[1] = sizeof(event) - 2;
-    bt_flip_addr(&event[2], channel->multiplexer->remote_addr);
+    reverse_bd_addr(channel->multiplexer->remote_addr, &event[2]);
     event[8] = channel->dlci >> 1;
-    bt_store_16(event, 9, channel->rfcomm_cid);
+    little_endian_store_16(event, 9, channel->rfcomm_cid);
     hci_dump_packet(HCI_EVENT_PACKET, 0, event, sizeof(event));
 	(*app_packet_handler)(channel->connection, HCI_EVENT_PACKET, 0, (uint8_t *) event, sizeof(event));
@@ -157,9 +157,9 @@
     event[pos++] = sizeof(event) - 2;
     event[pos++] = status;
-    bt_flip_addr(&event[pos], channel->multiplexer->remote_addr); pos += 6;
-    bt_store_16(event,  pos, channel->multiplexer->con_handle);   pos += 2;
+    reverse_bd_addr(channel->multiplexer->remote_addr, &event[pos]); pos += 6;
+    little_endian_store_16(event,  pos, channel->multiplexer->con_handle);   pos += 2;
 	event[pos++] = channel->dlci >> 1;
-	bt_store_16(event, pos, channel->rfcomm_cid); pos += 2;       // channel ID
-	bt_store_16(event, pos, channel->max_frame_size); pos += 2;   // max frame size
+	little_endian_store_16(event, pos, channel->rfcomm_cid); pos += 2;       // channel ID
+	little_endian_store_16(event, pos, channel->max_frame_size); pos += 2;   // max frame size
     hci_dump_packet(HCI_EVENT_PACKET, 0, event, sizeof(event));
 	(*app_packet_handler)(channel->connection, HCI_EVENT_PACKET, 0, (uint8_t *) event, pos);
@@ -175,9 +175,9 @@
     event[pos++] = sizeof(event) - 2;
     event[pos++] = BTSTACK_MEMORY_ALLOC_FAILED;
-    bt_flip_addr(&event[pos], *addr); pos += 6;
-    bt_store_16(event,  pos, 0);   pos += 2;
+    reverse_bd_addr(*addr, &event[pos]); pos += 6;
+    little_endian_store_16(event,  pos, 0);   pos += 2;
 	event[pos++] = server_channel;
-	bt_store_16(event, pos, 0); pos += 2;   // channel ID
-	bt_store_16(event, pos, 0); pos += 2;   // max frame size
+	little_endian_store_16(event, pos, 0); pos += 2;   // channel ID
+	little_endian_store_16(event, pos, 0); pos += 2;   // max frame size
     hci_dump_packet(HCI_EVENT_PACKET, 0, event, sizeof(event));
 	(*app_packet_handler)(connection, HCI_EVENT_PACKET, 0, (uint8_t *) event, pos);
@@ -204,5 +204,5 @@
     event[0] = RFCOMM_EVENT_CHANNEL_CLOSED;
     event[1] = sizeof(event) - 2;
-    bt_store_16(event, 2, channel->rfcomm_cid);
+    little_endian_store_16(event, 2, channel->rfcomm_cid);
     hci_dump_packet(HCI_EVENT_PACKET, 0, event, sizeof(event));
 	(*app_packet_handler)(channel->connection, HCI_EVENT_PACKET, 0, (uint8_t *) event, sizeof(event));
@@ -214,5 +214,5 @@
     event[0] = RFCOMM_EVENT_CREDITS;
     event[1] = sizeof(event) - 2;
-    bt_store_16(event, 2, channel->rfcomm_cid);
+    little_endian_store_16(event, 2, channel->rfcomm_cid);
     event[4] = credits;
     hci_dump_packet(HCI_EVENT_PACKET, 0, event, sizeof(event));
@@ -237,5 +237,5 @@
     event[0] = RFCOMM_EVENT_REMOTE_LINE_STATUS;
     event[1] = sizeof(event) - 2;
-    bt_store_16(event, 2, channel->rfcomm_cid);
+    little_endian_store_16(event, 2, channel->rfcomm_cid);
     event[4] = line_status;
     hci_dump_packet( HCI_EVENT_PACKET, 0, event, sizeof(event));
@@ -905,8 +905,8 @@
         case L2CAP_EVENT_INCOMING_CONNECTION:
             // data: event(8), len(8), address(48), handle (16),  psm (16), source cid(16) dest cid(16)
-            bt_flip_addr(event_addr, &packet[2]);
-            con_handle = READ_BT_16(packet,  8);
-            psm        = READ_BT_16(packet, 10);
-            l2cap_cid  = READ_BT_16(packet, 12);
+            reverse_bd_addr(&packet[2], event_addr);
+            con_handle = little_endian_read_16(packet,  8);
+            psm        = little_endian_read_16(packet, 10);
+            l2cap_cid  = little_endian_read_16(packet, 12);
 
             if (psm != PSM_RFCOMM) break;
@@ -939,5 +939,5 @@
         case L2CAP_EVENT_CHANNEL_OPENED:
 
-            if (READ_BT_16(packet, 11) != PSM_RFCOMM) break;
+            if (little_endian_read_16(packet, 11) != PSM_RFCOMM) break;
 
             status = packet[2];
@@ -945,7 +945,7 @@
 
             // get multiplexer for remote addr
-            con_handle = READ_BT_16(packet, 9);
-            l2cap_cid = READ_BT_16(packet, 13);
-            bt_flip_addr(event_addr, &packet[3]);
+            con_handle = little_endian_read_16(packet, 9);
+            l2cap_cid = little_endian_read_16(packet, 13);
+            reverse_bd_addr(&packet[3], event_addr);
             multiplexer = rfcomm_multiplexer_for_addr(&event_addr);
             if (!multiplexer) {
@@ -990,5 +990,5 @@
 
                 // set max frame size based on l2cap MTU
-                multiplexer->max_frame_size = rfcomm_max_frame_size_for_l2cap_mtu(READ_BT_16(packet, 17));
+                multiplexer->max_frame_size = rfcomm_max_frame_size_for_l2cap_mtu(little_endian_read_16(packet, 17));
             }
             return 1;
@@ -998,5 +998,5 @@
         case L2CAP_EVENT_CREDITS:
             // data: event(8), len(8), local_cid(16), credits(8)
-            l2cap_cid = READ_BT_16(packet, 2);
+            l2cap_cid = little_endian_read_16(packet, 2);
             multiplexer = rfcomm_multiplexer_for_l2cap_cid(l2cap_cid);
             if (!multiplexer) break;
@@ -1019,5 +1019,5 @@
         case L2CAP_EVENT_CHANNEL_CLOSED:
             // data: event (8), len(8), channel (16)
-            l2cap_cid = READ_BT_16(packet, 2);
+            l2cap_cid = little_endian_read_16(packet, 2);
             multiplexer = rfcomm_multiplexer_for_l2cap_cid(l2cap_cid);
             log_info("L2CAP_EVENT_CHANNEL_CLOSED cid 0x%0x, mult %p", l2cap_cid, multiplexer);
@@ -1478,5 +1478,5 @@
                     event_pn.super.type = CH_EVT_RCVD_PN;
                     event_pn.priority = packet[payload_offset+4];
-                    event_pn.max_frame_size = READ_BT_16(packet, payload_offset+6);
+                    event_pn.max_frame_size = little_endian_read_16(packet, payload_offset+6);
                     event_pn.credits_outgoing = packet[payload_offset+9];
                     log_info("Received UIH Parameter Negotiation Command for #%u, credits %u",
@@ -1489,5 +1489,5 @@
                     event_pn.super.type = CH_EVT_RCVD_PN_RSP;
                     event_pn.priority = packet[payload_offset+4];
-                    event_pn.max_frame_size = READ_BT_16(packet, payload_offset+6);
+                    event_pn.max_frame_size = little_endian_read_16(packet, payload_offset+6);
                     event_pn.credits_outgoing = packet[payload_offset+9];
                     log_info("Received UIH Parameter Negotiation Response max frame %u, credits %u",
Index: asp3_tinet_ecnl_arm/trunk/btstack/src/sdp.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/btstack/src/sdp.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/btstack/src/sdp.c	(revision 374)
@@ -90,5 +90,5 @@
     if (de_get_element_type(serviceRecordHandleAttribute) != DE_UINT) return 0;
     if (de_get_size_type(serviceRecordHandleAttribute) != DE_SIZE_32) return 0;
-    return READ_NET_32(serviceRecordHandleAttribute, 1);
+    return big_endian_read_32(serviceRecordHandleAttribute, 1);
 }
 
@@ -100,5 +100,5 @@
     event[1] = sizeof(event) - 2;
     event[2] = status;
-    bt_store_32(event, 3, handle);
+    little_endian_store_32(event, 3, handle);
     hci_dump_packet(HCI_EVENT_PACKET, 0, event, sizeof(event));
     (*app_packet_handler)(connection, HCI_EVENT_PACKET, 0, (uint8_t *) event, sizeof(event));
@@ -275,9 +275,9 @@
 
     // get request details
-    uint16_t  transaction_id = READ_NET_16(packet, 1);
-    // not used yet - uint16_t  param_len = READ_NET_16(packet, 3);
+    uint16_t  transaction_id = big_endian_read_16(packet, 1);
+    // not used yet - uint16_t  param_len = big_endian_read_16(packet, 3);
     uint8_t * serviceSearchPattern = &packet[5];
     uint16_t  serviceSearchPatternLen = de_get_len(serviceSearchPattern);
-    uint16_t  maximumServiceRecordCount = READ_NET_16(packet, 5 + serviceSearchPatternLen);
+    uint16_t  maximumServiceRecordCount = big_endian_read_16(packet, 5 + serviceSearchPatternLen);
     uint8_t * continuationState = &packet[5+serviceSearchPatternLen+2];
 
@@ -297,5 +297,5 @@
     continuation_index = 0;
     if (continuationState[0] == 2){
-        continuation_index = READ_NET_16(continuationState, 1);
+        continuation_index = big_endian_read_16(continuationState, 1);
     }
 
@@ -359,8 +359,8 @@
 
     // get request details
-    uint16_t  transaction_id = READ_NET_16(packet, 1);
-    // not used yet - uint16_t  param_len = READ_NET_16(packet, 3);
-    uint32_t  serviceRecordHandle = READ_NET_32(packet, 5);
-    uint16_t  maximumAttributeByteCount = READ_NET_16(packet, 9);
+    uint16_t  transaction_id = big_endian_read_16(packet, 1);
+    // not used yet - uint16_t  param_len = big_endian_read_16(packet, 3);
+    uint32_t  serviceRecordHandle = big_endian_read_32(packet, 5);
+    uint16_t  maximumAttributeByteCount = big_endian_read_16(packet, 9);
     uint8_t * attributeIDList = &packet[11];
     uint16_t  attributeIDListLen = de_get_len(attributeIDList);
@@ -383,5 +383,5 @@
     continuation_offset = 0;
     if (continuationState[0] == 2){
-        continuation_offset = READ_NET_16(continuationState, 1);
+        continuation_offset = big_endian_read_16(continuationState, 1);
     }
 
@@ -452,9 +452,9 @@
 
     // get request details
-    uint16_t  transaction_id = READ_NET_16(packet, 1);
-    // not used yet - uint16_t  param_len = READ_NET_16(packet, 3);
+    uint16_t  transaction_id = big_endian_read_16(packet, 1);
+    // not used yet - uint16_t  param_len = big_endian_read_16(packet, 3);
     uint8_t * serviceSearchPattern = &packet[5];
     uint16_t  serviceSearchPatternLen = de_get_len(serviceSearchPattern);
-    uint16_t  maximumAttributeByteCount = READ_NET_16(packet, 5 + serviceSearchPatternLen);
+    uint16_t  maximumAttributeByteCount = big_endian_read_16(packet, 5 + serviceSearchPatternLen);
     uint8_t * attributeIDList = &packet[5+serviceSearchPatternLen+2];
     uint16_t  attributeIDListLen = de_get_len(attributeIDList);
@@ -481,6 +481,6 @@
     continuation_offset = 0;
     if (continuationState[0] == 4){
-        continuation_service_index = READ_NET_16(continuationState, 1);
-        continuation_offset = READ_NET_16(continuationState, 3);
+        continuation_service_index = big_endian_read_16(continuationState, 1);
+        continuation_offset = big_endian_read_16(continuationState, 3);
     }
 
@@ -593,6 +593,6 @@
         case L2CAP_DATA_PACKET:
             pdu_id = (SDP_PDU_ID_t) packet[0];
-            transaction_id = READ_NET_16(packet, 1);
-            // param_len = READ_NET_16(packet, 3);
+            transaction_id = big_endian_read_16(packet, 1);
+            // param_len = big_endian_read_16(packet, 3);
             remote_mtu = l2cap_get_remote_mtu_for_local_cid(channel);
             // account for our buffer
